Bug 1720291 - [rbd-mirror] rbd-mirror daemons are crashing
Summary: [rbd-mirror] rbd-mirror daemons are crashing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD-Mirror
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 4.0
Assignee: Jason Dillaman
QA Contact: ymane
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 15:12 UTC by ymane
Modified: 2020-01-31 12:46 UTC (History)
4 users (show)

Fixed In Version: ceph-14.2.1-508.g0f9d32b
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:46:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40368 0 None None None 2019-06-14 15:11:32 UTC
Github ceph ceph pull 28577 0 'None' closed nautilus: librbd: avoid dereferencing an empty container during deep-copy 2020-01-23 20:25:50 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:41 UTC

Comment 1 Jason Dillaman 2019-06-13 15:29:10 UTC
Please enable debug logging, restart the 'rbd-mirror' daemon, and provide the resulting logs:

# ceph --cluster local set client.local debug_rbd 20
# ceph --cluster local set client.local debug_rbd_mirror 20

Comment 5 Jason Dillaman 2019-06-14 13:38:32 UTC
I don't require the mon logs.

Are there any additional logs from the rbd-mirror daemon client? I don't see any "librbd"-prefixed log messages in the provided log and the crash is in librbd. I would expect lots of log files in "/var/log/ceph/" with names like "local.client.local.<pid>.<cctid>.log". You can force all the logs to the same file by running the following and restarting the daemon:

# ceph --cluster local set client.local log_file /var/log/ceph/local.client.local.log

If you are getting the logs via some stdout/stderr scraping process instead of via log files within the container, you will need to enable librbd logging to stderr:

# ceph --cluster local set client.local log_to_stderr true

Comment 12 errata-xmlrpc 2020-01-31 12:46:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.